Subject: Re: Regarding P2020 in AMP mode

From: Hollis Blanchard <[email-masked]>
Date: Mon, 09 May 2011 13:22:33 -0700

On 05/07/2011 05:20 AM, Prasanna Khanapur wrote:
> Hi,
> I'm running P2020 in AMP mode, each core running its linux os.
> Ethernet 1(@25000) and Ethernet 2(@26000) assigned to Core0 are working
> fine.
> I'm facing problems with Ethernet interface(@24000) assigned to Core1,
> its not working.
>
> I'm using dts file which were added by :
> http://lists.ozlabs.org/pipermail/linuxppc-dev/2009-September/075594.html
>
> Looks either there is some mistake in the dts file or my understanding
> is wrong.
>
> MDIO @24000 is defined in core0 dts file though the Ethernet is assigned
> to Core 1.
>
> DTS files :
> http://web.mornfall.net/repos/linux-2.6/git/arch/powerpc/boot/dts/p2020rdb_camp_core0.dts
> http://web.mornfall.net/repos/linux-2.6/git/arch/powerpc/boot/dts/p2020rdb_camp_core1.dts

The fixed-link property in core1.dts indicates enet0 should use 1Gb 
link. Is that device connected to a 1Gb network?

-- 
Hollis Blanchard
Mentor Graphics, Embedded Systems Division